STRUCT USB_HOST_(9)

NAME
struct usb_host_endpoint - host-side endpoint descriptor and queue

SYNOPSIS
struct usb_host_endpoint {
  struct usb_endpoint_descriptor desc;
  struct list_head urb_list;
  void * hcpriv;
  struct kobject * kobj;
  unsigned char * extra;
  int extralen;
};

MEMBERS

desc
    descriptor for this endpoint, wMaxPacketSize in native byteorder

urb_list
    urbs queued to this endpoint; maintained by usbcore

hcpriv
    for use by HCD; typically holds hardware dma queue head (QH) with one or more transfer descriptors (TDs) per urb

kobj
    kobject for sysfs info

extra
    descriptors following this endpoint in the configuration

extralen
    how many bytes of ``extra'' are valid

DESCRIPTION

USB requests are always queued to a given endpoint, identified by a descriptor within an active interface in a given USB configuration.